Last Comment Bug 153667 - launching venkman crashed [@nsHTMLContainerFrame::ReparentFrameView]
: launching venkman crashed [@nsHTMLContainerFrame::ReparentFrameView]
Status: RESOLVED FIXED
[whitebox]
: crash
Product: Core
Classification: Components
Component: Layout: View Rendering (show other bugs)
: Trunk
: x86 Windows 2000
: P2 critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-22 22:43 PDT by timeless
Modified: 2012-02-22 16:10 PST (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description timeless 2002-06-22 22:43:21 PDT
bug 62470 is too old

cvs trunk build from this weekend with a lot of patches,
i can make a full cvs diff if people care.
my changes are mostly for live chrome/locale switching.
xul cache and jar cache are disabled,
xbl form controls aren't currently enabled although they were at some point in 
the session,
the original locale and skin were english/classic
the final locale was german (with one modification)

nsHTMLContainerFrame::ReparentFrameView(nsIPresContext * 0x00000000, nsIFrame * 
0x0c4f810c, nsIFrame * 0x0588d520, nsIFrame * 0x0c4f818c) line 309 + 8 bytes
nsTableFrame::PushChildren(nsTableFrame * const 0x0012c390, nsIPresContext * 
0x0c940da0, nsIFrame * 0x0c4f810c, nsIFrame * 0x00000000) line 2290 + 11 bytes
nsTableFrame::ReflowChildren(nsTableFrame * const 0x0588d520, nsIPresContext * 
0x0c940da0, nsTableReflowState & {...}, int 1, int 0, unsigned int & 1, 
nsIFrame * & 0x0588d700, int * 0x00000000) line 3359
nsTableFrame::ReflowTable(nsTableFrame * const 0x0012c390, nsIPresContext * 
0x00000000, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, int 
1073741824, nsReflowReason eReflowReason_Resize, nsIFrame * & 0x0588d700, int & 
0, int &, unsigned int & 1) line 2207
nsTableFrame::Reflow(nsTableFrame * const 0x00000002, nsIPresContext * 
0x0c940da0, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, 
unsigned int & 1) line 2073
nsContainerFrame::ReflowChild(nsContainerFrame * const 0x0012c390, nsIFrame * 
0x0588d520, nsIPresContext * 0x0c940da0, nsHTMLReflowMetrics & {...}, const 
nsHTMLReflowState & {...}, int 0, int 0, unsigned int 3, unsigned int & 1) line 
825
nsTableOuterFrame::OuterReflowChild(nsTableOuterFrame * const 0x0588d330, 
nsIPresContext * 0x0c940da0, nsIFrame * 0x0588d520, const nsHTMLReflowState & 
{...}, nsHTMLReflowMetrics & {...}, int * 0x00000000, nsSize & {...}, nsMargin 
& {...}, nsMargin & {...}, nsMargin & {...}, nsReflowReason 
eReflowReason_Resize, unsigned int & 1) line 1027
nsTableOuterFrame::Reflow(nsTableOuterFrame * const 0x0588d364, nsIPresContext 
* 0x0c940da0, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, 
unsigned int & 1) line 1612
nsBlockReflowContext::DoReflowBlock(nsBlockReflowContext * const 0x0012c390, 
nsHTMLReflowState & {...}, nsReflowReason eReflowReason_Resize, nsIFrame * 
0x0588d330, const nsRect & {...}, int 1232120, nsCollapsingMargin & {...}, int 
0, nsMargin & {...}, unsigned int & 1) line 570
nsBlockReflowContext::ReflowBlock(nsBlockReflowContext * const 0x0012c390, 
nsIFrame * 0x0588d330, const nsRect & {...}, int 0, nsCollapsingMargin & {...}, 
int 1, nsMargin & {...}, unsigned int & 1) line 345 + 36 bytes
nsBlockFrame::ReflowBlockFrame(nsBlockFrame * const 0x0012c390, 
nsBlockReflowState & {...}, nsLineList_iterator {...}, int * 0x0012ceb0) line 
3222
nsBlockFrame::ReflowLine(nsBlockFrame * const 0x0012c390, nsBlockReflowState & 
{...}, nsLineList_iterator {...}, int * 0x0012ceb0, int 0) line 2476
nsBlockFrame::ReflowDirtyLines(nsBlockFrame * const 0x0012c390, 
nsBlockReflowState & {...}) line 2254
nsBlockFrame::Reflow(nsBlockFrame * const 0x00000000, nsIPresContext * 
0x0c940da0, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, 
unsigned int & 0) line 951
nsBlockReflowContext::DoReflowBlock(nsBlockReflowContext * const 0x0012c390, 
nsHTMLReflowState & {...}, nsReflowReason eReflowReason_Resize, nsIFrame * 
0x0588d004, const nsRect & {...}, int 1233944, nsCollapsingMargin & {...}, int 
120, nsMargin & {...}, unsigned int & 0) line 570
nsBlockReflowContext::ReflowBlock(nsBlockReflowContext * const 0x0012c390, 
nsIFrame * 0x0588d004, const nsRect & {...}, int 1, nsCollapsingMargin & {...}, 
int 1, nsMargin & {...}, unsigned int & 0) line 345 + 36 bytes
nsBlockFrame::ReflowBlockFrame(nsBlockFrame * const 0x0012c390, 
nsBlockReflowState & {...}, nsLineList_iterator {...}, int * 0x0012d5d0) line 
3222
nsBlockFrame::ReflowLine(nsBlockFrame * const 0x0012c390, nsBlockReflowState & 
{...}, nsLineList_iterator {...}, int * 0x0012d5d0, int 0) line 2476
nsBlockFrame::ReflowDirtyLines(nsBlockFrame * const 0x0012c390, 
nsBlockReflowState & {...}) line 2254
nsBlockFrame::Reflow(nsBlockFrame * const 0x00000000, nsIPresContext * 
0x0c940da0, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, 
unsigned int & 0) line 951
nsContainerFrame::ReflowChild(nsContainerFrame * const 0x0012c390, nsIFrame * 
0x0588cdf4, nsIPresContext * 0x0c940da0, nsHTMLReflowMetrics & {...}, const 
nsHTMLReflowState & {...}, int 0, int 0, unsigned int 0, unsigned int & 0) line 
825
CanvasFrame::Reflow(CanvasFrame * const 0x03bf6128, nsIPresContext * 
0x0c940da0, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, 
unsigned int & 0) line 566
nsBoxToBlockAdaptor::Reflow(nsBoxToBlockAdaptor * const 0x0012c390, 
nsBoxLayoutState & {...}, nsIPresContext * 0x0c940da0, nsHTMLReflowMetrics & 
{...}, const nsHTMLReflowState & {...}, unsigned int & 0, int 0, int 0, int 
9420, int 2445, int 1) line 886
nsBoxToBlockAdaptor::DoLayout(nsBoxToBlockAdaptor * const 0x00000000, 
nsBoxLayoutState & {...}) line 625 + 36 bytes
nsBox::Layout(nsBox * const 0x0588cd5c, nsBoxLayoutState & {...}) line 1062
nsScrollBoxFrame::DoLayout(nsScrollBoxFrame * const 0x00000005, 
nsBoxLayoutState & {...}) line 394
nsBox::Layout(nsBox * const 0x03bf65b0, nsBoxLayoutState & {...}) line 1062
nsContainerBox::LayoutChildAt(nsBoxLayoutState & {...}, nsIBox * 0x00000000, 
const nsRect & {...}) line 645 + 9 bytes
nsGfxScrollFrameInner::LayoutBox(nsGfxScrollFrameInner * const 0x0012c390, 
nsBoxLayoutState & {...}, nsIBox * 0x03bf65b0, const nsRect & {...}) line 1081 
+ 17 bytes
nsGfxScrollFrameInner::Layout(nsGfxScrollFrameInner * const 0x0012c390, 
nsBoxLayoutState & {...}) line 1241
nsGfxScrollFrame::DoLayout(nsGfxScrollFrame * const 0x03bf63c0, 
nsBoxLayoutState & {...}) line 1090
nsBox::Layout(nsBox * const 0x03bf63c0, nsBoxLayoutState & {...}) line 1062
nsBoxFrame::Reflow(nsBoxFrame * const 0x03bf638c, nsIPresContext * 0x0c940da0, 
nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, unsigned int & 0) 
line 1002
nsGfxScrollFrame::Reflow(nsGfxScrollFrame * const 0x03bf638c, nsIPresContext * 
0x0c940da0, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, 
unsigned int & 0) line 779
nsContainerFrame::ReflowChild(nsContainerFrame * const 0x0012c390, nsIFrame * 
0x03bf638c, nsIPresContext * 0x0c940da0, nsHTMLReflowMetrics & {...}, const 
nsHTMLReflowState & {...}, int 0, int 0, unsigned int 0, unsigned int & 0) line 
825
ViewportFrame::Reflow(ViewportFrame * const 0x03bf60f0, nsIPresContext * 
0x0c940da0, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, 
unsigned int & 0) line 577
PresShell::ResizeReflow(PresShell * const 0x03bf60f0, int 209156768, int 2445) 
line 2999
PresShell::ResizeReflow(PresShell * const 0x0c956734, nsIView * 0x0400a5b8, int 
9660, int 2445) line 6256
nsViewManager::SetWindowDimensions(nsViewManager * const 0x05bfc050, int 9660, 
int 2445) line 586 + 14 bytes
nsViewManager::DispatchEvent(nsViewManager * const 0x41700000, nsGUIEvent * 
0x00000284, nsEventStatus * 0x000000a3) line 1697
HandleEvent(nsGUIEvent * 0x0012e268) line 83
nsWindow::DispatchEvent(nsWindow * const 0x0c200c4c, nsGUIEvent * 0x0012e268, 
nsEventStatus & nsEventStatus_eIgnore) line 1029
nsWindow::DispatchWindowEvent(nsWindow * const 0x0012c390, nsGUIEvent * 
0x00000000) line 1046
nsWindow::OnResize(nsWindow * const 0x0012c390, nsRect & {...}) line 4789 + 11 
bytes
nsWindow::ProcessMessage(nsWindow * const 0x0012c390, unsigned int 1238320, 
unsigned int 0, long 1238296, long * 0x0012e518) line 4014 + 14 bytes
nsWindow::WindowProc(HWND__ * 0x008a14aa, unsigned int 0, unsigned int 0, long 
203426892) line 1290 + 16 bytes
USER32! 77e11b60()
USER32! 77e12f29()
USER32! 77e14a44()
NTDLL! 77fa032f()
DocumentViewerImpl::SetBounds(DocumentViewerImpl * const 0x0c36bb48, const 
nsRect & {...}) line 1921
nsDocShell::SetPositionAndSize(nsDocShell * const 0x0c8c671c, int 0, int 0, int 
644, int 163, int 0) line 2794 + 7 bytes
nsHTMLFrameInnerFrame::Reflow(nsHTMLFrameInnerFrame * const 0x0c8c671c, 
nsIPresContext * 0x3d888889, nsHTMLReflowMetrics & {...}, const 
nsHTMLReflowState & {...}, unsigned int &) line 1224
nsContainerFrame::ReflowChild(nsContainerFrame * const 0x0012c390, nsIFrame * 
0x0d5cae8c, nsIPresContext * 0x02692148, nsHTMLReflowMetrics & {...}, const 
nsHTMLReflowState & {...}, int 15, int 15, unsigned int 0, unsigned int & 0) 
line 825
nsHTMLFrameOuterFrame::Reflow(nsHTMLFrameOuterFrame * const 0x0d5cadcc, 
nsIPresContext * 0x02692148, nsHTMLReflowMetrics & {...}, const 
nsHTMLReflowState & {...}, unsigned int & 0) line 541
nsBoxToBlockAdaptor::Reflow(nsBoxToBlockAdaptor * const 0x0012c390, 
nsBoxLayoutState & {...}, nsIPresContext * 0x02692148, nsHTMLReflowMetrics & 
{...}, const nsHTMLReflowState & {...}, unsigned int & 0, int 75, int 75, int 
9689, int 2475, int 1) line 886
nsBoxToBlockAdaptor::DoLayout(nsBoxToBlockAdaptor * const 0x00000000, 
nsBoxLayoutState & {...}) line 625 + 36 bytes
nsBox::Layout(nsBox * const 0x0d5caf14, nsBoxLayoutState & {...}) line 1062
nsSprocketLayout::Layout(nsSprocketLayout * const 0x0128ba40, nsIBox * 
0x0d5ca1ec, nsBoxLayoutState & {...}) line 529
nsContainerBox::DoLayout(nsContainerBox * const 0x0d5ca1ec, nsBoxLayoutState & 
{...}) line 605 + 8 bytes
nsBox::Layout(nsBox * const 0x0d5ca1ec, nsBoxLayoutState & {...}) line 1062
nsSprocketLayout::Layout(nsSprocketLayout * const 0x0128ba40, nsIBox * 
0x03929f38, nsBoxLayoutState & {...}) line 529
nsContainerBox::DoLayout(nsContainerBox * const 0x03929f38, nsBoxLayoutState & 
{...}) line 605 + 8 bytes
nsBox::Layout(nsBox * const 0x03929f38, nsBoxLayoutState & {...}) line 1062
nsSprocketLayout::Layout(nsSprocketLayout * const 0x0128ba40, nsIBox * 
0x03929ab8, nsBoxLayoutState & {...}) line 529
nsContainerBox::DoLayout(nsContainerBox * const 0x03929ab8, nsBoxLayoutState & 
{...}) line 605 + 8 bytes
nsBox::Layout(nsBox * const 0x03929ab8, nsBoxLayoutState & {...}) line 1062
nsSprocketLayout::Layout(nsSprocketLayout * const 0x0128ba40, nsIBox * 
0x05ad4398, nsBoxLayoutState & {...}) line 529
nsContainerBox::DoLayout(nsContainerBox * const 0x05ad4398, nsBoxLayoutState & 
{...}) line 605 + 8 bytes
nsBox::Layout(nsBox * const 0x05ad4398, nsBoxLayoutState & {...}) line 1062
nsStackLayout::Layout(nsStackLayout * const 0x01397838, nsIBox * 0x05ad40ac, 
nsBoxLayoutState & {...}) line 331
nsContainerBox::DoLayout(nsContainerBox * const 0x05ad40ac, nsBoxLayoutState & 
{...}) line 605 + 8 bytes
nsBox::Layout(nsBox * const 0x05ad40ac, nsBoxLayoutState & {...}) line 1062
nsBoxFrame::Reflow(nsBoxFrame * const 0x05ad4078, nsIPresContext * 0x02692148, 
nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, unsigned int & 0) 
line 1002
nsRootBoxFrame::Reflow(nsRootBoxFrame * const 0x05ad4078, nsIPresContext * 
0x02692148, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, 
unsigned int & 0) line 242
nsContainerFrame::ReflowChild(nsContainerFrame * const 0x0012c390, nsIFrame * 
0x05ad4078, nsIPresContext * 0x02692148, nsHTMLReflowMetrics & {...}, const 
nsHTMLReflowState & {...}, int 0, int 0, unsigned int 0, unsigned int & 0) line 
825
ViewportFrame::Reflow(ViewportFrame * const 0x05ad4040, nsIPresContext * 
0x02692148, nsHTMLReflowMetrics & {...}, const nsHTMLReflowState & {...}, 
unsigned int & 0) line 577
PresShell::ResizeReflow(PresShell * const 0x05ad4040, int 92320648, int 9525) 
line 2999
PresShell::ResizeReflow(PresShell * const 0x0c751d9c, nsIView * 0x0d152f08, int 
15255, int 9525) line 6256
nsViewManager::SetWindowDimensions(nsViewManager * const 0x028ad3c8, int 15255, 
int 9525) line 586 + 14 bytes
nsViewManager::DispatchEvent(nsViewManager * const 0x41700000, nsGUIEvent * 
0x000003f9, nsEventStatus * 0x0000027b) line 1697
HandleEvent(nsGUIEvent * 0x0012f36c) line 83
nsWindow::DispatchEvent(nsWindow * const 0x0cedf75c, nsGUIEvent * 0x0012f36c, 
nsEventStatus & nsEventStatus_eIgnore) line 1029
nsWindow::DispatchWindowEvent(nsWindow * const 0x0012c390, nsGUIEvent * 
0x00000000) line 1046
nsWindow::OnResize(nsWindow * const 0x0012c390, nsRect & {...}) line 4789 + 11 
bytes
nsWindow::ProcessMessage(nsWindow * const 0x0012c390, unsigned int 1242676, 
unsigned int 0, long 1242652, long * 0x0012f61c) line 4014 + 14 bytes
nsWindow::WindowProc(HWND__ * 0x004b154a, unsigned int 0, unsigned int 0, long 
216921948) line 1290 + 16 bytes
USER32! 77e11b60()
USER32! 77e12f29()
USER32! 77e14a44()
NTDLL! 77fa032f()
DocumentViewerImpl::SetBounds(DocumentViewerImpl * const 0x03c67c50, const 
nsRect & {...}) line 1921
nsDocShell::SetPositionAndSize(nsDocShell * const 0x061116a4, int 0, int 0, int 
1017, int 635, int 0) line 2794 + 7 bytes
nsWebShellWindow::HandleEvent(nsGUIEvent * 0x061116a4) line 435
nsWindow::DispatchEvent(nsWindow * const 0x028736b4, nsGUIEvent * 0x0012f75c, 
nsEventStatus & nsEventStatus_eIgnore) line 1029
nsWindow::DispatchWindowEvent(nsWindow * const 0x0012c390, nsGUIEvent * 
0x00000000) line 1046
nsWindow::OnResize(nsWindow * const 0x0012c390, nsRect & {...}) line 4789 + 11 
bytes
nsWindow::ProcessMessage(nsWindow * const 0x0012c390, unsigned int 1243684, 
unsigned int 0, long 1243660, long * 0x0012fa0c) line 4014 + 14 bytes
nsWindow::WindowProc(HWND__ * 0x00951352, unsigned int 0, unsigned int 0, long 
42415796) line 1290 + 16 bytes
USER32! 77e11b60()
USER32! 77e12f29()
USER32! 77e14a44()
NTDLL! 77fa032f()
nsXULWindow::SetSize(nsXULWindow * const 0x0c878eb4, int 1025, int 662, int 0) 
line 455 + 25 bytes
nsXULWindow::LoadSizeFromXUL(nsXULWindow * const 0x0012c390) line 954
nsXULWindow::OnChromeLoaded(nsXULWindow * const 0x0012c390) line 804
nsWebShellWindow::OnStateChange(nsWebShellWindow * const 0x0c878f10, 
nsIWebProgress * 0x0cc10a7c, nsIRequest * 0x05fbc2b8, unsigned int 213977724, 
unsigned int 0) line 1304
nsDocLoaderImpl::FireOnStateChange(nsDocLoaderImpl * const 0x0012c390, 
nsIWebProgress * 0x0c5c1bac, nsIRequest * 0x05fbc2b8, int 786448, unsigned int 
0) line 1175
nsDocLoaderImpl::doStopDocumentLoad(nsDocLoaderImpl * const 0x0012c390, 
nsIRequest * 0x05fbc2b8, unsigned int 0) line 834 + 21 bytes
nsDocLoaderImpl::DocLoaderIsEmpty(nsDocLoaderImpl * const 0x0012c390) line 732
nsDocLoaderImpl::OnStopRequest(nsDocLoaderImpl * const 0x00000000, nsIRequest * 
0x00000000, nsISupports * 0x02692148, unsigned int 0) line 663
nsLoadGroup::RemoveRequest(nsLoadGroup * const 0x00000000, nsIRequest * 
0x0c5c1b9c, nsISupports * 0x02692148, unsigned int 0) line 532 + 13 bytes
imgRequestProxy::OnStopRequest(imgRequestProxy * const 0x0012c390, nsIRequest * 
0x0cd0d160, nsISupports * 0x00000000, unsigned int 0) line 392
imgRequest::OnStopRequest(imgRequest * const 0x0c7a1d20, nsIRequest * 
0x0cd0d160, nsISupports * 0x00000000, unsigned int 0) line 648
ProxyListener::OnStopRequest(ProxyListener * const 0x061aefe8, nsIRequest * 
0x0cd0d160, nsISupports * 0x00000000, unsigned int 0) line 703
nsJARChannel::OnStopRequest(nsJARChannel * const 0x0cd0d164, nsIRequest * 
0x0d1c1864, nsISupports * 0x00000000, unsigned int 0) line 606 + 28 bytes
nsOnStopRequestEvent::HandleEvent(nsOnStopRequestEvent * const 0x0012c390) line 
213
PL_HandleEvent(PLEvent * 0x027c7ee4) line 597
PL_ProcessPendingEvents(PLEventQueue * 0x10033527) line 526 + 6 bytes
_md_EventReceiverProc(HWND__ * 0x012c8eb0, unsigned int 4202612, unsigned int 
18940016, long 2013534688) line 1078
nsAppShellService::Run(nsAppShellService * const 0x01210070) line 458
main1(int 3, char * * 0x00262ed8, nsISupports * 0x00262f10) line 1456 + 9 bytes
main(int 3, char * * 0x00262ed8) line 1805 + 26 bytes
WinMain(HINSTANCE__ * 0x00400000, HINSTANCE__ * 0x00400000, char * 0x00133454, 
HINSTANCE__ * 0x00400000) line 1825 + 23 bytes
MOZILLA! WinMainCRTStartup + 308 bytes
KERNEL32! 77e8d326()

      // Get the views
      aOldParentFrame->GetView(aPresContext, &oldParentView);
=>    aNewParentFrame->GetView(aPresContext, &newParentView);
    } while (!(oldParentView || newParentView));

-	aNewParentFrame	0x0c4f818c
|-	nsISupports	{...}
|\+	__vfptr	0x00000000
|-	mRect	{...}
||	x	0
||	y	0
||	width	613603755
|\	height	0
|+	mContent	0x00000000
|+	mStyleContext	0x00000000
|-	mParent	0x0c4f8144
||-	nsISupports	{...}
||\+	__vfptr	0x00000000
||-	mRect	{...}
|||	x	0
|||	y	0
|||	width	0
||\	height	0
||+	mContent	0x00000000
||+	mStyleContext	0x00000000
||+	mParent	0x0588d004
||+	mNextSibling	0x00000000
|\	mState	66566
|+	mNextSibling	0x00000000
\	mState	66566
+	aOldParentFrame	0x0588d520
+	aPresContext	0x00000000
+	&newParentView	0x0012c390
+	&oldParentView	0x0012c39c
Comment 1 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2003-04-24 20:04:38 PDT
Hey timeless, has this gone away now?
Comment 2 Ben Fowler 2004-12-15 06:55:09 PST
Is this WFM?

I cannot see how this report will lead to anything of diagnostic value.
Comment 3 Wayne Mery (:wsmwk, NI for questions) 2007-04-01 12:20:14 PDT
timeless, do you disagree?
Comment 4 timeless 2007-04-01 16:58:08 PDT
*shrug*

at present I'm not using:
* xbl form controls
* theme switching
* locale switching
* code to disable xul/jar cache
* venkman

in fact, i'm not even using xul.

that said. i have some requirements on my plate for almost all of these. so depending on my misfortune this bug may haunt me in the next 6-18months.

i really don't care what you guys do to my bugs. they're in Bugzilla and gmail, if I crash again, I'll find them.
Comment 5 Sheila Mooney 2012-02-22 16:10:00 PST
I found 2 of these crashes in the past 4 weeks and both were on 3.6.24. I am going to assume that we either fixed something or changed something so this doesn't appear in any recent releases. Resolved as fix - please reopen if it's still an issue.

Note You need to log in before you can comment on or make changes to this bug.